public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/test_declarative/
Date: Wed, 27 Dec 2017 07:02:16 +0000 (UTC)	[thread overview]
Message-ID: <1514358129.264920af9d22cd60e57adae4b954740c723785c9.graaff@gentoo> (raw)

commit:     264920af9d22cd60e57adae4b954740c723785c9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 06:59:29 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 07:02:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=264920af

dev-ruby/test_declarative: add 0.0.6

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-ruby/test_declarative/Manifest                 |  1 +
 .../test_declarative/test_declarative-0.0.6.ebuild | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-ruby/test_declarative/Manifest b/dev-ruby/test_declarative/Manifest
index 767b650d28d..e8b052400d8 100644
--- a/dev-ruby/test_declarative/Manifest
+++ b/dev-ruby/test_declarative/Manifest
@@ -1 +1,2 @@
 DIST test_declarative-0.0.5.tgz 2114 BLAKE2B 6856e3bb734354f75298107e243bc461143176797e98d69f5c67a6d121a6556310d46d4676d32bbc5317d39e0c48fa4f4cff1cbeb3e31ec5834ed406d7cba33b SHA512 69641a56c38403a86a8562910aa5ab433476351cc0e5a1f2a640030bfb4f82b96bf724d911ce46ff75dfe934de50d6549304088ee85d5689990e0ce5d263c160
+DIST test_declarative-0.0.6.tgz 3586 BLAKE2B de8e4b011de9ce0773e2c76887d6cf7d888c2f799a07e6dda024b301594edc37ccf2c386c366c0a13d81a1f0697fe7be92932db7d66e5ed482d529fac4b9ce78 SHA512 f147fef7f3ac912c7b1cb2826cfc7cb5abf4cba92ea4f7accc2b1ba3a4f0775bff5ae06e80370144b7b1e7d03e2f3129e268c5d7056ee2aca9d77047a1b5a1c3

diff --git a/dev-ruby/test_declarative/test_declarative-0.0.6.ebuild b/dev-ruby/test_declarative/test_declarative-0.0.6.ebuild
new file mode 100644
index 00000000000..970e137404c
--- /dev/null
+++ b/dev-ruby/test_declarative/test_declarative-0.0.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+# ruby22, ruby23: fails due to minitest incompatabilities.
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simply adds a declarative test method syntax to test/unit"
+HOMEPAGE="https://github.com/svenfuchs/test_declarative"
+SRC_URI="https://github.com/svenfuchs/test_declarative/tarball/v${PV} -> ${P}.tgz"
+RUBY_S="svenfuchs-test_declarative-*"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+	sed -i -e '/rake/ s/12.0.0/12/' Gemfile || die
+}
+
+each_ruby_test() {
+	# There are other gemfiles but their setup seems broken atm.
+	for gemfile in Gemfile ; do
+		einfo "Running tests with ${gemfile}"
+		BUNDLE_GEMFILE=${gemfile} ${RUBY} -S bundle exec rake test || die
+	done
+}


             reply	other threads:[~2017-12-27  7:02 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-27  7:02 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-01  8:08 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/test_declarative/ Hans de Graaff
2023-12-27  8:10 Hans de Graaff
2023-12-05 18:25 Ionen Wolkens
2023-11-12  7:07 Hans de Graaff
2023-11-11  7:36 Hans de Graaff
2023-04-23 22:21 Sam James
2023-04-23 21:40 Sam James
2023-04-23 21:33 Sam James
2023-04-23 21:33 Sam James
2023-04-23 21:33 Sam James
2023-03-10 20:29 Hans de Graaff
2022-05-10  1:07 WANG Xuerui
2022-04-26 14:38 Sam James
2022-04-17  6:57 Hans de Graaff
2022-01-15  6:43 Hans de Graaff
2022-01-15  6:43 Hans de Graaff
2021-11-23 11:28 Hans de Graaff
2021-11-23 10:48 Hans de Graaff
2021-10-02 20:40 Sam James
2021-09-07 15:34 Marek Szuba
2021-01-03  8:05 Hans de Graaff
2020-04-20 17:05 Sergei Trofimovich
2020-01-03 15:55 Hans de Graaff
2019-01-09  8:07 Hans de Graaff
2019-01-09  8:07 Hans de Graaff
2018-07-08  3:45 Hans de Graaff
2018-07-04 20:56 Hans de Graaff
2018-07-04 20:56 Hans de Graaff
2018-07-04 20:56 Hans de Graaff
2017-12-27  7:02 Hans de Graaff
2017-06-30 12:47 Alexis Ballier
2017-05-07  9:44 Hans de Graaff
2016-03-28 10:21 Hans de Graaff
2016-03-28 10:21 Hans de Graaff
2015-12-25  8:46 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1514358129.264920af9d22cd60e57adae4b954740c723785c9.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox